Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class LanguageImpl.DefaultsResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              org.jasig.portal.container.om.common.LanguageImpl.DefaultsResourceBundle

Enclosing class:
  LanguageImpl

    private static class LanguageImpl.DefaultsResourceBundle

extends java.util.ListResourceBundle

Field Summary
`private java.lang.Object[][]` | `resources`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`LanguageImpl.DefaultsResourceBundle(java.lang.String defaultTitle, java.lang.String defaultShortTitle, java.lang.String defaultKeyWords)`

Method Summary
`protected java.lang.Object[][]` | `getContents()`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resources

    private java.lang.Object[][] resources

Constructor Detail

### LanguageImpl.DefaultsResourceBundle

    public LanguageImpl.DefaultsResourceBundle(java.lang.String defaultTitle,
                                               java.lang.String defaultShortTitle,
                                               java.lang.String defaultKeyWords)

Method Detail

### getContents

    protected java.lang.Object[][] getContents()

  Specified by:
    `getContents` in class `java.util.ListResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD